services:
  app.listener.entity.company_info_listener:
    class: App\Listener\Entity\CompanyInfoListener
    tags:
      - { name: doctrine.orm.entity_listener, entity: App\Entity\User\Info\CompanyInfo, event: prePersist, lazy: true }
      - { name: doctrine.orm.entity_listener, entity: App\Entity\User\Info\CompanyInfo, event: postPersist, lazy: true }
      - { name: doctrine.orm.entity_listener, entity: App\Entity\User\Info\CompanyInfo, event: preUpdate, lazy: true }
      - { name: doctrine.orm.entity_listener, entity: App\Entity\User\Info\CompanyInfo, event: postUpdate, lazy: true }
    arguments:
      [ '@App\Service\Customer\CompanyInfoService' ]